/**
 * api
 * GIC卡券包
 */
import getFetch from './get-fetch.js';
import { welfarePrefix } from '@/config';

// 卡券包
let packages = {
  savePackages: {
    // 新增、编辑卡券包  /coupon-package/save-package  /coupon-package/edit-package TODO:
    url: '/coupon-package/{type}-package', // edit add
    method: 'post',
    useFormData: true,
    rest: true
  },
  pageCouponPackage: '/page-package', // 获取卡券包列表
  pagePackageLog: '/coupon-package/page-package-log', // 卡券包领取记录 TODO:
  packageCouponReceiveLog: '/coupon-package/package-coupon-receive-log', // 卡券领取记录详情 TODO:
  getPackageDetail: '/coupon-package/get-package-detail', // 获取卡券包详情 TODO:
  deletePackage: '/coupon-package/delete-package', // 删除某个卡券包 TODO:
  optPackageStock: '/coupon-package/opt-package-stock', // 调整卡券包库存 TODO:
};
packages = getFetch(packages, welfarePrefix);

export default { ...packages };

